com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.LowerCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseStrategy

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    PropertyNamingStrategy

      public static class PropertyNamingStrategy.LowerCaseStrategy
      extends PropertyNamingStrategy.PropertyNamingStrategyBase

  Simple strategy where external name simply only uses lower-case characters, and no separators. Conversion from internal name like "someOtherValue" would be into external name if "someothervalue".
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, LOWER_CASE, PASCAL_CASE_TO_CAMEL_CASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNamingStrategy.LowerCaseStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `translate(String input)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

      `nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNamingStrategy.LowerCaseStrategy

          public PropertyNamingStrategy.LowerCaseStrategy()

  - ### Method Detail

    - #### translate

          public String translate(String input)

      Specified by:
        `translate` in class `PropertyNamingStrategy.PropertyNamingStrategyBase`

Copyright © 2014-2015 FasterXML. All Rights Reserved.